/* ***************************************************************** */
/* (c) Copyright Rocket Software, Inc. 2019,2024 All Rights Reserved */
/* ***************************************************************** */
/*  Licensed Materials - Property of IBM                             */
/*  Product(s):                                                      */
/*     5698-012 IBM Z OMEGAMON AI for JVM                            */
/*                                                                   */
/*  (C)Copyright IBM Corporation 2016                                */
/*                                                                   */
/*  US Government Users Restricted Rights - Use, duplication or      */
/*  disclosure restricted by GSA ADP Schedule Contract with          */
/*  IBM Corp.                                                        */
/* ***************************************************************** */
/*                                                                   */
/*  Maintenance Log:                                                 */
/*                                                                   */
/*  Date     Who   ID  Description                                   */
/*  -------- ---- ---  -----------------------------------------     */
/*  12/08/15 KRM       Initial Development for KJJ situations        */
/*  07/28/16 JPY       Added JVM_Avg_Elapsed_Time_Warning for V540   */
/*  12/20/18 FF        Added Situations for z/OS Connect SPE (v5404) */
/*  10/22/19 SMW       Added Situations for JVM memory (v550)        */
/*  08/04/21 uuy       Added new situations for v5505                */ 
/*  08/30/22 uuy       Added new Action commands for JVM utilities   */   
/*  06/16/23 uuy       Added new situations for v6100                */   
/*  04/04/24 uuy       Added new situations for v6101                */   
/*                                                                   */
/* ***************************************************************** */
/*                                                                   */
/*  Delete situations for JVM Monitor                                */
/*                                                                   */
/* ***************************************************************** */

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_General_CPU_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_General_CPU_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_GC_Pause_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_GC_Pause_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_IFA_on_General_CPU_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_IFA_on_General_CPU_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Lock_Missed_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Lock_Missed_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Occupancy_after_GC_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_System_GC_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Thread_Blocked_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Avg_Elapsed_Time_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Http_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Resp_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Resp_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Timeout_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM24Free_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM24Free_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM31Free_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM31Free_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM64Free_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_MEM64Free_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_API_Req_Http_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_API_Req_Resp_Time_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_API_Req_Resp_Time_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Occ_After_Gbl_GC_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_GC_Thread_Count_Warning";
DELETE FROM O4SRV.CCT
   WHERE KEY="JJCMD001";
DELETE FROM O4SRV.CCT
   WHERE KEY="JJCMD002";
DELETE FROM O4SRV.CCT
   WHERE KEY="JJCMD003";
